## delly 0.7.8

=== Makefile ===
DEBUG ?= 0
PARALLEL ?= 0
STATIC ?= 0

# Submodules
PWD = $(shell pwd)
SEQTK_ROOT ?= ${PWD}/src/htslib/
BOOST_ROOT ?= ${PWD}/src/modular-boost

# Flags
CXX=g++
CXXFLAGS += -isystem ${SEQTK_ROOT} -isystem ${BOOST_ROOT} -pedantic -W -Wall -Wno-unknown-pragmas -D__STDC_LIMIT_MACROS -fno-strict-aliasing
LDFLAGS += -L${SEQTK_ROOT} -L${BOOST_ROOT}/stage/lib -lboost_iostreams -lboost_filesystem -lboost_system -lboost_program_options -lboost_date_time 

# Additional flags for release/debug
ifeq (${PARALLEL}, 1)
	CXXFLAGS += -fopenmp -DOPENMP
else
	CXXFLAGS += -DNOPENMP
endif

# Additional flags for release/debug
ifeq (${STATIC}, 1)
	LDFLAGS += -static -static-libgcc -pthread -lhts -lz -llzma -lbz2
else
	LDFLAGS += -lhts -lz -llzma -lbz2 -Wl,-rpath,${SEQTK_ROOT},-rpath,${BOOST_ROOT}/stage/lib
endif
ifeq (${DEBUG}, 1)
	CXXFLAGS += -g -O0 -fno-inline -DDEBUG
else ifeq (${DEBUG}, 2)
	CXXFLAGS += -g -O0 -fno-inline -DPROFILE
	LDFLAGS += -lprofiler -ltcmalloc
else
	CXXFLAGS += -O3 -fno-tree-vectorize -DNDEBUG
endif


# External sources
HTSLIBSOURCES = $(wildcard src/htslib/*.c) $(wildcard src/htslib/*.h)
BOOSTSOURCES = $(wildcard src/modular-boost/libs/iostreams/include/boost/iostreams/*.hpp)
DELLYSOURCES = $(wildcard src/*.h) $(wildcard src/*.cpp)

# Targets
TARGETS = .htslib .bcftools .boost src/delly src/dpe

all:   	$(TARGETS)

.htslib: $(HTSLIBSOURCES)
	cd src/htslib && make && make lib-static && cd ../../ && touch .htslib

.bcftools: $(HTSLIBSOURCES)
	cd src/bcftools && make && cd ../../ && touch .bcftools

.boost: $(BOOSTSOURCES)
	cd src/modular-boost && ./bootstrap.sh --prefix=${PWD}/src/modular-boost --without-icu --with-libraries=iostreams,filesystem,system,program_options,date_time && ./b2 && ./b2 headers && cd ../../ && touch .boost

src/delly: .htslib .bcftools .boost $(DELLYSOURCES)
	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)

src/dpe: .htslib .bcftools .boost $(DELLYSOURCES)
	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)

clean:
	cd src/htslib && make clean
	cd src/modular-boost && ./b2 --clean-all
	rm -f $(TARGETS) $(TARGETS:=.o) .htslib .boost .bcftools

=== debian/changelog ===
delly (0.7.8-1) unstable; urgency=medium

  * Initial release (Closes: #903507)

 -- Steffen Moeller <moeller@debian.org>  Tue, 10 Jul 2018 20:53:21 +0200

=== debian/control ===
Source: delly
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11),
    libboost-date-time-dev,
    libboost-program-options-dev,
    libboost-system-dev,
    libboost-filesystem-dev,
    libboost-iostreams-dev,
    libhts-dev,
    libbz2-dev,
    zlib1g-dev
Standards-Version: 4.1.5
Homepage: https://github.com/dellytools/delly
Vcs-Browser: https://salsa.debian.org/med-team/delly
Vcs-Git: https://salsa.debian.org/med-team/delly.git

Package: delly
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Structural variant discovery by read analysis
 Delly performs Structural variant discovery by integrated paired-end and
 split-read analysis. It discovers, genotypes and visualizes deletions,
 tandem duplications, inversions and translocations at single-nucleotide
 resolution in short-read massively parallel sequencing data. It uses
 paired-ends, split-reads and read-depth to sensitively and accurately
 delineate genomic rearrangements throughout the genome.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%delly-$1.tar.gz%" \
   https://github.com/dellytools/delly/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## delly 0.7.9

=== debian/changelog ===
delly (0.7.9-2) unstable; urgency=medium

  * Team upload.
  * Add Build-Depends: chrpath (Closes: #911987)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 02 Dec 2018 17:12:30 +0100

delly (0.7.9-1) unstable; urgency=medium

  * New upstream version.

  * Policy-compliance with 4.2.1
  * Removed patch

 -- Steffen Moeller <moeller@debian.org>  Wed, 17 Oct 2018 17:02:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
     libboost-iostreams-dev,
     libhts-dev,
     libbz2-dev,
-    zlib1g-dev
-Standards-Version: 4.1.5
+    zlib1g-dev,
+    chrpath
+Standards-Version: 4.2.1
 Homepage: https://github.com/dellytools/delly
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git

=== debian/watch ===
version=4
opts="repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%delly-$1.tar.gz%" \
   https://github.com/dellytools/delly/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## delly 0.8.1

=== Makefile ===
DEBUG ?= 0
PARALLEL ?= 0
STATIC ?= 0

# Submodules
PWD = $(shell pwd)
EBROOTHTSLIB ?= ${PWD}/src/htslib/

# Install dir
prefix = ${PWD}
exec_prefix = $(prefix)
bindir ?= $(exec_prefix)/bin

# Flags
CXX=g++
CXXFLAGS += -isystem ${EBROOTHTSLIB} -pedantic -W -Wall -Wno-unknown-pragmas -D__STDC_LIMIT_MACROS -fno-strict-aliasing -fpermissive
LDFLAGS += -L${EBROOTHTSLIB} -L${EBROOTHTSLIB}/lib -lboost_iostreams -lboost_filesystem -lboost_system -lboost_program_options -lboost_date_time 

# Flags for parallel computation
ifeq (${PARALLEL}, 1)
	CXXFLAGS += -fopenmp -DOPENMP
else
	CXXFLAGS += -DNOPENMP
endif

# Flags for static compile
ifeq (${STATIC}, 1)
	LDFLAGS += -static -static-libgcc -pthread -lhts -lz -llzma -lbz2
else
	LDFLAGS += -lhts -lz -llzma -lbz2 -Wl,-rpath,${EBROOTHTSLIB}
endif

# Flags for debugging, profiling and releases
ifeq (${DEBUG}, 1)
	CXXFLAGS += -g -O0 -fno-inline -DDEBUG
else ifeq (${DEBUG}, 2)
	CXXFLAGS += -g -O0 -fno-inline -DPROFILE
	LDFLAGS += -lprofiler -ltcmalloc
else
	CXXFLAGS += -O3 -fno-tree-vectorize -DNDEBUG
endif
ifeq (${EBROOTHTSLIB}, ${PWD}/src/htslib/)
	SUBMODULES += .htslib
endif


# External sources
HTSLIBSOURCES = $(wildcard src/htslib/*.c) $(wildcard src/htslib/*.h)
SOURCES = $(wildcard src/*.h) $(wildcard src/*.cpp)

# Targets
BUILT_PROGRAMS = src/delly
TARGETS = ${SUBMODULES} ${BUILT_PROGRAMS}

all:   	$(TARGETS)

.htslib: $(HTSLIBSOURCES)
	if [ -r src/htslib/Makefile ]; then cd src/htslib && make && make lib-static && cd ../../ && touch .htslib; fi

src/delly: ${SUBMODULES} $(SOURCES)
	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)

src/dpe: ${SUBMODULES} $(SOURCES)
	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)

install: ${BUILT_PROGRAMS}
	mkdir -p ${bindir}
	install -p ${BUILT_PROGRAMS} ${bindir}

clean:
	if [ -r src/htslib/Makefile ]; then cd src/htslib && make clean; fi
	rm -f $(TARGETS) $(TARGETS:=.o) ${SUBMODULES}

distclean: clean
	rm -f ${BUILT_PROGRAMS}

.PHONY: clean distclean install all

=== debian/changelog ===
delly (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Enable cross build (thanks for the patch to Do Thanh Trung
    <trung.dothanh@toshiba-tsdv.com>)
    Closes: #924529

 -- Andreas Tille <tille@debian.org>  Thu, 14 Mar 2019 08:06:46 +0100

delly (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * Drop redundant uupdate from watch file since it spoils routine update
    script
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 05 Feb 2019 09:17:08 +0100

=== debian/control ===
Source: delly
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               libboost-date-time-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libhts-dev,
               libbz2-dev,
               zlib1g-dev,
               chrpath
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/delly
Vcs-Git: https://salsa.debian.org/med-team/delly.git
Homepage: https://github.com/dellytools/delly

Package: delly
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Structural variant discovery by read analysis
 Delly performs Structural variant discovery by integrated paired-end and
 split-read analysis. It discovers, genotypes and visualizes deletions,
 tandem duplications, inversions and translocations at single-nucleotide
 resolution in short-read massively parallel sequencing data. It uses
 paired-ends, split-reads and read-depth to sensitively and accurately
 delineate genomic rearrangements throughout the genome.

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,14 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- BUILT_PROGRAMS="src/delly src/dpe"
+	chrpath -d src/dpe src/delly
+
+override_dh_auto_install:
+	# avoiding redundant compile of delly
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf src/dpe src/delly bin/delly

## delly 0.8.2

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,9 @@
 src/delly: ${SUBMODULES} $(SOURCES)
 	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)
 
+src/dellyLR: ${SUBMODULES} $(SOURCES)
+	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)
+
 src/dpe: ${SUBMODULES} $(SOURCES)
 	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)

=== benchmark/Makefile ===
SHELL := /bin/bash

# Targets
TARGETS = .conda .channels .envs .truvari .delly
PBASE=$(shell pwd)

all:   	$(TARGETS)

.conda:
	wget 'https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh' && bash Miniconda3-latest-Linux-x86_64.sh -b -p ${PBASE}/bin && rm -f Miniconda3-latest-Linux-x86_64.sh && touch .conda

.channels: .conda
	export PATH=${PBASE}/bin/bin:${PATH} && conda config --add channels defaults && conda config --add channels conda-forge && conda config --add channels bioconda && touch .channels

.envs: .conda .channels
	export PATH=${PBASE}/bin/bin:${PATH} && conda create -y --prefix=${PBASE}/bin/envs/sv svim sniffles samtools bcftools htslib && touch .envs

.truvari: .conda .channels .envs
	export PATH=${PBASE}/bin/bin:${PATH} && source activate ${PBASE}/bin/envs/sv && pip install truvari && conda deactivate && touch .truvari

.delly: .conda .channels .envs .truvari
	cd ../ && make all && make install && cd benchmark && touch .delly

test: .conda .channels .envs .truvari .delly
	export PATH=${PBASE}/bin/bin:${PATH} && source activate sv && ../bin/dellyLR --version && svim --version && source deactivate

clean:
	rm -rf $(TARGETS) $(TARGETS:=.o) bin/

=== debian/changelog ===
delly (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.2
  * Refreshing hts1.3 patch. Removing upstream-integrated hardening patch.
  * Upstream has changed the license from GPL-3.0+ to BSD-3-Clause.

 -- Andrius Merkys <merkys@debian.org>  Thu, 06 Feb 2020 07:46:25 -0500

delly (0.8.1-3) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * debian/rules: build with openmp
  * debian/upstream/metadata: added DOI
  * debian/patches/hardening: Compile using CPPFLAGS
  * debian/patches/hts1.3: small patch for libhts3 compat

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Dec 2019 11:22:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                libboost-date-time-dev,
                libboost-program-options-dev,
                libboost-system-dev,
@@ -13,7 +13,7 @@
                libbz2-dev,
                zlib1g-dev,
                chrpath
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git
 Homepage: https://github.com/dellytools/delly

## delly 0.8.3

=== debian/changelog ===
delly (0.8.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * d/control: Added rules-require-root no
  * Adjusted patches.
  * d/copyright: Included license text to avoid lintian warning
    about the BSD license file to soon no longer be shipping separately.

 -- Steffen Moeller <moeller@debian.org>  Tue, 17 Mar 2020 11:42:26 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                libbz2-dev,
                zlib1g-dev,
                chrpath
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git
 Homepage: https://github.com/dellytools/delly
+Rules-Requires-Root: no
 
 Package: delly
 Architecture: any

## delly 0.8.5

=== debian/changelog ===
delly (0.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 02 Oct 2020 14:31:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libboost-date-time-dev,
                libboost-program-options-dev,
                libboost-system-dev,

## delly 0.8.7

=== Makefile ===
--- 
+++ 
@@ -55,12 +55,9 @@
 all:   	$(TARGETS)
 
 .htslib: $(HTSLIBSOURCES)
-	if [ -r src/htslib/Makefile ]; then cd src/htslib && make && make lib-static && cd ../../ && touch .htslib; fi
+	if [ -r src/htslib/Makefile ]; then cd src/htslib && autoheader && autoconf && ./configure --disable-s3 --disable-gcs --disable-libcurl --disable-plugins && $(MAKE) && $(MAKE) lib-static && cd ../../ && touch .htslib; fi
 
 src/delly: ${SUBMODULES} $(SOURCES)
-	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)
-
-src/dellyLR: ${SUBMODULES} $(SOURCES)
 	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)
 
 src/dpe: ${SUBMODULES} $(SOURCES)
@@ -71,7 +68,7 @@
 	install -p ${BUILT_PROGRAMS} ${bindir}
 
 clean:
-	if [ -r src/htslib/Makefile ]; then cd src/htslib && make clean; fi
+	if [ -r src/htslib/Makefile ]; then cd src/htslib && $(MAKE) clean; fi
 	rm -f $(TARGETS) $(TARGETS:=.o) ${SUBMODULES}
 
 distclean: clean

=== debian/changelog ===
delly (0.8.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 15:27:47 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libbz2-dev,
                zlib1g-dev,
                chrpath
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git
 Homepage: https://github.com/dellytools/delly

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- BUILT_PROGRAMS="src/delly src/dpe"
+	dh_auto_build -- BUILT_PROGRAMS="src/delly src/dpe" PARALLEL=1
 	chrpath -d src/dpe src/delly
 
 override_dh_auto_install:

## delly 0.9.1

=== debian/changelog ===
delly (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Add missing build dependency on dh addon.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * No need to repack source any more

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 16:32:18 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
                libhts-dev,
                libbz2-dev,
                zlib1g-dev,
-               chrpath
-Standards-Version: 4.5.1
+               chrpath,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git
 Homepage: https://github.com/dellytools/delly

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 #export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 %:

## delly 1.1.3

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,9 @@
 bindir ?= $(exec_prefix)/bin
 
 # Flags
-CXX=g++
-CXXFLAGS += -isystem ${EBROOTHTSLIB} -pedantic -W -Wall -Wno-unknown-pragmas -D__STDC_LIMIT_MACROS -fno-strict-aliasing -fpermissive
-LDFLAGS += -L${EBROOTHTSLIB} -L${EBROOTHTSLIB}/lib -lboost_iostreams -lboost_filesystem -lboost_system -lboost_program_options -lboost_date_time 
+CXX ?= g++
+CXXFLAGS += -std=c++11 -isystem ${EBROOTHTSLIB} -pedantic -W -Wall -Wno-unknown-pragmas -D__STDC_LIMIT_MACROS -fno-strict-aliasing -fpermissive
+LDFLAGS += -L${EBROOTHTSLIB} -lboost_iostreams -lboost_filesystem -lboost_system -lboost_program_options -lboost_date_time 
 
 # Flags for parallel computation
 ifeq (${PARALLEL}, 1)
@@ -58,10 +58,7 @@
 	if [ -r src/htslib/Makefile ]; then cd src/htslib && autoheader && autoconf && ./configure --disable-s3 --disable-gcs --disable-libcurl --disable-plugins && $(MAKE) && $(MAKE) lib-static && cd ../../ && touch .htslib; fi
 
 src/delly: ${SUBMODULES} $(SOURCES)
-	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)
-
-src/dpe: ${SUBMODULES} $(SOURCES)
-	$(CXX) $(CXXFLAGS) $@.cpp -o $@ $(LDFLAGS)
+	$(CXX) $(CXXFLAGS) $@.cpp src/edlib.cpp -o $@ $(LDFLAGS)
 
 install: ${BUILT_PROGRAMS}
 	mkdir -p ${bindir}

=== debian/changelog ===
delly (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.3
  * routine-update: Standards-Version: 4.6.1
  * Add autopkgtests
  * d/rules : remove src/dpe from build target
  * Fix blhc
  * Add patch to use shared htslib and fix reprotest

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 11 Aug 2022 16:03:37 +0530

delly (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 12:17:29 +0200

## delly 1.1.5

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 all:   	$(TARGETS)
 
 .htslib: $(HTSLIBSOURCES)
-	if [ -r src/htslib/Makefile ]; then cd src/htslib && autoheader && autoconf && ./configure --disable-s3 --disable-gcs --disable-libcurl --disable-plugins && $(MAKE) && $(MAKE) lib-static && cd ../../ && touch .htslib; fi
+	if [ -r src/htslib/Makefile ]; then cd src/htslib && autoreconf -i && ./configure --disable-s3 --disable-gcs --disable-libcurl --disable-plugins && $(MAKE) && $(MAKE) lib-static && cd ../../ && touch .htslib; fi
 
 src/delly: ${SUBMODULES} $(SOURCES)
 	$(CXX) $(CXXFLAGS) $@.cpp src/edlib.cpp -o $@ $(LDFLAGS)

=== debian/changelog ===
delly (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 13:17:17 +0200

## delly 1.1.6

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # Flags for static compile
 ifeq (${STATIC}, 1)
-	LDFLAGS += -static -static-libgcc -pthread -lhts -lz -llzma -lbz2
+	LDFLAGS += -static -static-libgcc -pthread -lhts -lz -llzma -lbz2 -ldeflate
 else
 	LDFLAGS += -lhts -lz -llzma -lbz2 -Wl,-rpath,${EBROOTHTSLIB}
 endif

=== debian/changelog ===
delly (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 12 Nov 2022 15:53:21 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                zlib1g-dev,
                chrpath,
                debhelper
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git
 Homepage: https://github.com/dellytools/delly

=== debian/watch ===
version=4
opts="repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%delly-$1.tar.gz%" \
   https://github.com/dellytools/delly/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## delly 1.1.8

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Flags
 CXX ?= g++
 CXXFLAGS += -std=c++11 -isystem ${EBROOTHTSLIB} -pedantic -W -Wall -Wno-unknown-pragmas -D__STDC_LIMIT_MACROS -fno-strict-aliasing -fpermissive
-LDFLAGS += -L${EBROOTHTSLIB} -lboost_iostreams -lboost_filesystem -lboost_system -lboost_program_options -lboost_date_time 
+LDFLAGS += -L${EBROOTHTSLIB} -lboost_iostreams -lboost_filesystem -lboost_system -lboost_program_options -lboost_date_time
 
 # Flags for parallel computation
 ifeq (${PARALLEL}, 1)
@@ -42,7 +42,6 @@
 ifeq (${EBROOTHTSLIB}, ${PWD}/src/htslib/)
 	SUBMODULES += .htslib
 endif
-
 
 # External sources
 HTSLIBSOURCES = $(wildcard src/htslib/*.c) $(wildcard src/htslib/*.h)

=== debian/changelog ===
delly (1.1.8-1build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:25:08 +0200

delly (1.1.8-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:56 +1100

delly (1.1.8-1build2) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:40:50 +0100

delly (1.1.8-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:48:50 +0100

delly (1.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Mohammed Bilal <rmb@debian.org>  Thu, 12 Oct 2023 14:40:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: delly
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
@@ -14,7 +15,7 @@
                zlib1g-dev,
                chrpath,
                debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git
 Homepage: https://github.com/dellytools/delly

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- BUILT_PROGRAMS="src/delly" PARALLEL=1
	chrpath -d  src/delly

override_dh_auto_install:
	# avoiding redundant compile of delly

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/dpe src/delly bin/delly

## delly 1.7.2

=== Makefile ===
--- 
+++ 
@@ -13,19 +13,12 @@
 
 # Flags
 CXX ?= g++
-CXXFLAGS += -std=c++11 -isystem ${EBROOTHTSLIB} -pedantic -W -Wall -Wno-unknown-pragmas -D__STDC_LIMIT_MACROS -fno-strict-aliasing -fpermissive
-LDFLAGS += -L${EBROOTHTSLIB} -lboost_iostreams -lboost_filesystem -lboost_system -lboost_program_options -lboost_date_time
-
-# Flags for parallel computation
-ifeq (${PARALLEL}, 1)
-	CXXFLAGS += -fopenmp -DOPENMP
-else
-	CXXFLAGS += -DNOPENMP
-endif
+CXXFLAGS += -std=c++17 -isystem ${EBROOTHTSLIB} -pedantic -W -Wall -Wno-unknown-pragmas -D__STDC_LIMIT_MACROS -fno-strict-aliasing -fpermissive -pthread
+LDFLAGS += -L${EBROOTHTSLIB} -lboost_iostreams -lboost_filesystem -lboost_program_options -lboost_date_time -pthread
 
 # Flags for static compile
 ifeq (${STATIC}, 1)
-	LDFLAGS += -static -static-libgcc -pthread -lhts -lz -llzma -lbz2 -ldeflate
+	LDFLAGS += -static -static-libgcc -lhts -lz -llzma -lbz2 -ldeflate
 else
 	LDFLAGS += -lhts -lz -llzma -lbz2 -Wl,-rpath,${EBROOTHTSLIB}
 endif

=== debian/changelog ===
delly (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.2.  (Closes: #1110577)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * d/control: activate pyproject support.

 -- Étienne Mollier <emollier@debian.org>  Sat, 15 Nov 2025 11:18:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: delly
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
+               python3-hatchling,
                libboost-date-time-dev,
                libboost-program-options-dev,
                libboost-system-dev,
@@ -15,11 +16,10 @@
                zlib1g-dev,
                chrpath,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/delly
 Vcs-Git: https://salsa.debian.org/med-team/delly.git
 Homepage: https://github.com/dellytools/delly
-Rules-Requires-Root: no
 
 Package: delly
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: dellytools
Project: delly
